
=encoding utf8

=head1 NAME

Sidef::Types::Set::Set

=head1 DESCRIPTION

This class implements ...

=head1 SYNOPSIS

var obj = Set(...)


=head1 INHERITS

Inherits methods from:

       * Sidef::Types::Hash::Hash

=head1 METHODS

=head2 &

    a & b

Returns the

Aliases: I<∩>, I<and>, I<intersection>

=cut

=head2 +

    a + b

Returns the

Aliases: I<concat>

=cut

=head2 -

    a - b

Returns the

Aliases: I<∖>, I<sub>, I<diff>, I<difference>

=cut

=head2 ...

    a ... b

Returns the

Aliases: I<to_list>

=cut

=head2 <<

    a << b

Returns the

Aliases: I<add>, I<push>, I<append>

=cut

=head2 ^

    a ^ b

Returns the

Aliases: I<xor>, I<symdiff>, I<symmetric_difference>

=cut

=head2 |

    a | b

Returns the

Aliases: I<∪>, I<or>, I<union>

=cut

=head2 ∋

    a ∋ b

Returns the

Aliases: I<has>, I<exists>, I<has_key>, I<haskey>, I<contain>, I<include>, I<contains>, I<includes>

=cut

=head2 ∌

    a ∌ b

Returns the

=cut

=head2 ≡

    a ≡ b

Returns the

=cut

=head2 ≤

    a ≤ b

Returns the

Aliases: I<⊆>, I<E<lt>=>, I<is_subset>

=cut

=head2 ≥

    a ≥ b

Returns the

Aliases: I<⊇>, I<E<gt>=>, I<is_superset>

=cut

=head2 all

    Set.all()

Returns the

=cut

=head2 any

    Set.any()

Returns the

=cut

=head2 collect

    Set.collect()

Returns the

=cut

=head2 contains_all

    Set.contains_all()

Returns the

=cut

=head2 count

    Set.count()

Returns the

=cut

=head2 count_by

    Set.count_by()

Returns the

=cut

=head2 delete

    Set.delete()

Returns the

Aliases: I<remove>, I<discard>

=cut

=head2 delete_first_if

    Set.delete_first_if()

Returns the

=cut

=head2 delete_if

    Set.delete_if()

Returns the

=cut

=head2 dump

    Set.dump()

Returns the

=cut

=head2 each

    Set.each()

Returns the

=cut

=head2 each_2d

    Set.each_2d()

Returns the

=cut

=head2 grep

    Set.grep()

Returns the

Aliases: I<select>

=cut

=head2 grep_2d

    Set.grep_2d()

Returns the

=cut

=head2 iter

    Set.iter()

Returns the

=cut

=head2 join

    Set.join()

Returns the

=cut

=head2 map

    Set.map()

Returns the

=cut

=head2 map_2d

    Set.map_2d()

Returns the

=cut

=head2 max

    Set.max()

Returns the

=cut

=head2 max_by

    Set.max_by()

Returns the

=cut

=head2 min

    Set.min()

Returns the

=cut

=head2 min_by

    Set.min_by()

Returns the

=cut

=head2 new

    Set.new()

Returns the

Aliases: I<call>

=cut

=head2 none

    Set.none()

Returns the

=cut

=head2 pop

    Set.pop()

Returns the

=cut

=head2 prod

    Set.prod()

Returns the

Aliases: I<prod_by>

=cut

=head2 prod_2d

    Set.prod_2d()

Returns the

=cut

=head2 shift

    Set.shift()

Returns the

=cut

=head2 sort

    Set.sort()

Returns the

=cut

=head2 sort_by

    Set.sort_by()

Returns the

=cut

=head2 sum

    Set.sum()

Returns the

Aliases: I<sum_by>

=cut

=head2 sum_2d

    Set.sum_2d()

Returns the

=cut

=head2 to_a

    Set.to_a()

Returns the

Aliases: I<values>, I<to_array>

=cut

=head2 to_bag

    Set.to_bag()

Returns the

=cut

=head2 to_set

    Set.to_set()

Returns the

=cut
